import 'dart:io';


import 'package:jcs_airport/consts/url_const.dart';
import 'package:jcs_airport/utils/request.dart';

class API {



  ///获取当前用户的详细信息
  static Future agencyuserMe() async {
    return await AmosHttp.client.get(URLConst.agencyuserMe);
  }
  ///字典
  static Future dictionary(String key) async {
    return await AmosHttp.client.get(URLConst.dictionary + key + '/values', contentType: ContentType.FORM_URL_ENCODED);
  }

  ///首页消息列表
  static Future msgList(dynamic query) async {
    return await AmosHttp.client.get(URLConst.msgList, query: query, contentType: ContentType.FORM_URL_ENCODED);
  }

  ///首页菜单列表
  static Future warpGroupMe() async {
    return await AmosHttp.client.get(URLConst.warpGroupMe);
  }

  ///首页统计
  static Future getAlarmGiveStatistics() async {
    return await AmosHttp.client.get(URLConst.getAlarmGiveStatistics);
  }




}
